%global sname   skinflatplus

# Set vdr_version based on Fedora version
%if 0%{?fedora} >= 43
%global vdr_version 2.7.5
%elif 0%{?fedora} == 42
%global vdr_version 2.7.4
%else
%global vdr_version 2.6.9
%endif

Name:           vdr-skinflatplus
Version:        1.1.10
Release:        1%{?dist}
Summary:        A fast, modern and up-to-date skin for the Video Disc Recorder
License:        GPL-2.0-or-later
URL:            https://github.com/MegaV0lt/vdr-plugin-skinflatplus
Source0:        %url/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# Configuration files for plugin parameters. These are Fedora specific and not in upstream.
Source1:        %{name}.conf
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  ImageMagick-c++-devel
BuildRequires:  vdr-devel >= %{vdr_version}
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

%description
This plugin for Klaus Schmidinger's Video Disc Recorder VDR adds the "fltPluus"
skin. Skin flatPlus is a fast, modern and up-to-date skin for VDR. The design 
is flat and straightforward (no glossy or 3D effects).

%prep
%autosetup -n vdr-plugin-%{sname}-%{version}

%build
%{set_build_flags}
%make_build IMAGELIB=graphicsmagick

%install
# make install would install the themes under /etc, let's not use that
make install-lib install-i18n DESTDIR=%{buildroot}
# install the themes to the custom location used in Fedora
install -dm 755 %{buildroot}%{vdr_vardir}/themes
install -pm 644 themes/*.theme %{buildroot}%{vdr_vardir}/themes/

# skinelchihd.conf
install -Dpm 644 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/sysconfig/vdr-plugins.d/skinflatplus.conf

%find_lang %{name}

%files -f %{name}.lang
%doc HISTORY* README*
%license COPYING
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/skinflatplus.conf
%{vdr_plugindir}/libvdr-*.so.%{vdr_apiversion}
%{vdr_vardir}/themes/flatPlus-*.theme

%changelog
* Thu Apr 17 2025 Martin Gansser <martinkg@fedoraproject.org> - 1.1.10-1
- Rebuilt for new VDR API version 2.7.5
- Update to 1.1.10

* Tue Feb 25 2025 Martin Gansser <martinkg@fedoraproject.org> - 1.1.8-1
- Update to 1.1.8

* Tue Jan 14 2025 Martin Gansser <martinkg@fedoraproject.org> - 1.1.6-1
- Update to 1.1.6

* Thu Jan 09 2025 Martin Gansser <martinkg@fedoraproject.org> - 1.1.5-1
- Update to 1.1.5

* Fri Dec 13 2024 Martin Gansser <martinkg@fedoraproject.org> - 1.1.4-1
- Update to 1.1.4

* Tue Nov 19 2024 Martin Gansser <martinkg@fedoraproject.org> - 1.1.3-1
- Update to 1.1.3

* Sun Nov 10 2024 Martin Gansser <martinkg@fedoraproject.org> - 1.1.2-1
- Update to 1.1.2

* Wed Nov 06 2024 Martin Gansser <martinkg@fedoraproject.org> - 1.1.1-1
- Update to 1.1.1

* Wed Oct 30 2024 Martin Gansser <martinkg@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0

* Tue Oct 01 2024 Martin Gansser <martinkg@fedoraproject.org> - 1.0.8-1
- Update to 1.0.8

* Mon Jul 15 2024 Martin Gansser <martinkg@fedoraproject.org> - 1.0.4-1
- Update to 1.0.4

* Wed Jan 31 2024 Martin Gansser <martinkg@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Tue Oct 24 2023 Martin Gansser <martinkg@fedoraproject.org> - 0.7.5-1
- Initial Build
